edu.isi.pegasus.planner.refiner

## Class CleanupEngine

- java.lang.Object
- - edu.isi.pegasus.planner.refiner.Engine
  - - edu.isi.pegasus.planner.refiner.CleanupEngine

    public class CleanupEngine
    extends Engine

The refiner that results in the creation of cleanup jobs within the workflow.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.refiner.Engine

`mBag, mLogger, mLogMsg, mOutputPool, mPoolFile, mPOptions, mProps, mRLIUrl, mSiteStore, mTCFile, mTCHandle, mTCMode, REGISTRATION_UNIVERSE, TRANSFER_UNIVERSE`

### Constructor Summary

Constructors
Constructor and Description
`CleanupEngine(PegasusBag bag)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ADag` `addCleanupJobs(ADag dag)` Adds the cleanup jobs in the workflow that removes the files staged to the remote site.

### Methods inherited from class edu.isi.pegasus.planner.refiner.Engine

`addVector, appendArrayList, complainForHeadNodeURLPrefix, complainForHeadNodeURLPrefix, loadProperties, printVector, stringInList, stringInPegVector, stringInVector, vectorToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CleanupEngine

    public CleanupEngine(PegasusBag bag)

The overloaded constructor.

Parameters:
  `bag` - the bag of initialization objects

### Method Detail

#### addCleanupJobs

    public ADag addCleanupJobs(ADag dag)

Adds the cleanup jobs in the workflow that removes the files staged to the remote site.

Parameters:
  `dag` - the scheduled dag that has to be clustered.
Returns:
  ADag containing the cleanup jobs for the workflow.